Package org.apache.storm.generated

## Class SupervisorInfo

- java.lang.Object
- - org.apache.storm.generated.SupervisorInfo

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<SupervisorInfo>`, `org.apache.storm.thrift.TBase<SupervisorInfo,​SupervisorInfo._Fields>`, `org.apache.storm.thrift.TSerializable`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public class SupervisorInfo
      extends Object
      implements org.apache.storm.thrift.TBase<SupervisorInfo,​SupervisorInfo._Fields>, Serializable, Cloneable, Comparable<SupervisorInfo>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SupervisorInfo._Fields` | The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<SupervisorInfo._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SupervisorInfo()` |
    `SupervisorInfo​(long time_secs, String hostname)` |
    `SupervisorInfo​(SupervisorInfo other)` | Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add_to_meta​(long elem)` |
    `void` | `add_to_used_ports​(long elem)` |
    `void` | `clear()` |
    `int` | `compareTo​(SupervisorInfo other)` |
    `SupervisorInfo` | `deepCopy()` |
    `boolean` | `equals​(Object that)` |
    `boolean` | `equals​(SupervisorInfo that)` |
    `SupervisorInfo._Fields` | `fieldForId​(int fieldId)` |
    `String` | `get_assignment_id()` |
    `String` | `get_hostname()` |
    `List<Long>` | `get_meta()` |
    `Iterator<Long>` | `get_meta_iterator()` |
    `int` | `get_meta_size()` |
    `Map<String,​Double>` | `get_resources_map()` |
    `int` | `get_resources_map_size()` |
    `Map<String,​String>` | `get_scheduler_meta()` |
    `int` | `get_scheduler_meta_size()` |
    `int` | `get_server_port()` |
    `long` | `get_time_secs()` |
    `long` | `get_uptime_secs()` |
    `List<Long>` | `get_used_ports()` |
    `Iterator<Long>` | `get_used_ports_iterator()` |
    `int` | `get_used_ports_size()` |
    `String` | `get_version()` |
    `Object` | `getFieldValue​(SupervisorInfo._Fields field)` |
    `int` | `hashCode()` |
    `boolean` | `is_set_assignment_id()` | Returns true if field assignment_id is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_hostname()` | Returns true if field hostname is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_meta()` | Returns true if field meta is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_resources_map()` | Returns true if field resources_map is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_scheduler_meta()` | Returns true if field scheduler_meta is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_server_port()` | Returns true if field server_port is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_time_secs()` | Returns true if field time_secs is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_uptime_secs()` | Returns true if field uptime_secs is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_used_ports()` | Returns true if field used_ports is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_version()` | Returns true if field version is set (has been assigned a value) and false otherwise
    `boolean` | `isSet​(SupervisorInfo._Fields field)` | Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `put_to_resources_map​(String key, double val)` |
    `void` | `put_to_scheduler_meta​(String key, String val)` |
    `void` | `read​(org.apache.storm.thrift.protocol.TProtocol iprot)` |
    `void` | `set_assignment_id​(String assignment_id)` |
    `void` | `set_assignment_id_isSet​(boolean value)` |
    `void` | `set_hostname​(String hostname)` |
    `void` | `set_hostname_isSet​(boolean value)` |
    `void` | `set_meta​(List<Long> meta)` |
    `void` | `set_meta_isSet​(boolean value)` |
    `void` | `set_resources_map​(Map<String,​Double> resources_map)` |
    `void` | `set_resources_map_isSet​(boolean value)` |
    `void` | `set_scheduler_meta​(Map<String,​String> scheduler_meta)` |
    `void` | `set_scheduler_meta_isSet​(boolean value)` |
    `void` | `set_server_port​(int server_port)` |
    `void` | `set_server_port_isSet​(boolean value)` |
    `void` | `set_time_secs​(long time_secs)` |
    `void` | `set_time_secs_isSet​(boolean value)` |
    `void` | `set_uptime_secs​(long uptime_secs)` |
    `void` | `set_uptime_secs_isSet​(boolean value)` |
    `void` | `set_used_ports​(List<Long> used_ports)` |
    `void` | `set_used_ports_isSet​(boolean value)` |
    `void` | `set_version​(String version)` |
    `void` | `set_version_isSet​(boolean value)` |
    `void` | `setFieldValue​(SupervisorInfo._Fields field, Object value)` |
    `String` | `toString()` |
    `void` | `unset_assignment_id()` |
    `void` | `unset_hostname()` |
    `void` | `unset_meta()` |
    `void` | `unset_resources_map()` |
    `void` | `unset_scheduler_meta()` |
    `void` | `unset_server_port()` |
    `void` | `unset_time_secs()` |
    `void` | `unset_uptime_secs()` |
    `void` | `unset_used_ports()` |
    `void` | `unset_version()` |
    `void` | `validate()` |
    `void` | `write​(org.apache.storm.thrift.protocol.TProtocol oprot)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<SupervisorInfo._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### SupervisorInfo

          public SupervisorInfo()

    - #### SupervisorInfo

          public SupervisorInfo​(long time_secs,
                                String hostname)

    - #### SupervisorInfo

          public SupervisorInfo​(SupervisorInfo other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public SupervisorInfo deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<SupervisorInfo,​SupervisorInfo._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<SupervisorInfo,​SupervisorInfo._Fields>`

    - #### get_time_secs

          public long get_time_secs()

    - #### set_time_secs

          public void set_time_secs​(long time_secs)

    - #### unset_time_secs

          public void unset_time_secs()

    - #### is_set_time_secs

          public boolean is_set_time_secs()

      Returns true if field time_secs is set (has been assigned a value) and false otherwise

    - #### set_time_secs_isSet

          public void set_time_secs_isSet​(boolean value)

    - #### get_hostname

          public String get_hostname()

    - #### set_hostname

          public void set_hostname​(String hostname)

    - #### unset_hostname

          public void unset_hostname()

    - #### is_set_hostname

          public boolean is_set_hostname()

      Returns true if field hostname is set (has been assigned a value) and false otherwise

    - #### set_hostname_isSet

          public void set_hostname_isSet​(boolean value)

    - #### get_assignment_id

          public String get_assignment_id()

    - #### set_assignment_id

          public void set_assignment_id​(String assignment_id)

    - #### unset_assignment_id

          public void unset_assignment_id()

    - #### is_set_assignment_id

          public boolean is_set_assignment_id()

      Returns true if field assignment_id is set (has been assigned a value) and false otherwise

    - #### set_assignment_id_isSet

          public void set_assignment_id_isSet​(boolean value)

    - #### get_used_ports_size

          public int get_used_ports_size()

    - #### get_used_ports_iterator

          public Iterator<Long> get_used_ports_iterator()

    - #### add_to_used_ports

          public void add_to_used_ports​(long elem)

    - #### get_used_ports

          public List<Long> get_used_ports()

    - #### set_used_ports

          public void set_used_ports​(List<Long> used_ports)

    - #### unset_used_ports

          public void unset_used_ports()

    - #### is_set_used_ports

          public boolean is_set_used_ports()

      Returns true if field used_ports is set (has been assigned a value) and false otherwise

    - #### set_used_ports_isSet

          public void set_used_ports_isSet​(boolean value)

    - #### get_meta_size

          public int get_meta_size()

    - #### get_meta_iterator

          public Iterator<Long> get_meta_iterator()

    - #### add_to_meta

          public void add_to_meta​(long elem)

    - #### get_meta

          public List<Long> get_meta()

    - #### set_meta

          public void set_meta​(List<Long> meta)

    - #### unset_meta

          public void unset_meta()

    - #### is_set_meta

          public boolean is_set_meta()

      Returns true if field meta is set (has been assigned a value) and false otherwise

    - #### set_meta_isSet

          public void set_meta_isSet​(boolean value)

    - #### get_scheduler_meta_size

          public int get_scheduler_meta_size()

    - #### put_to_scheduler_meta

          public void put_to_scheduler_meta​(String key,
                                            String val)

    - #### get_scheduler_meta

          public Map<String,​String> get_scheduler_meta()

    - #### set_scheduler_meta

          public void set_scheduler_meta​(Map<String,​String> scheduler_meta)

    - #### unset_scheduler_meta

          public void unset_scheduler_meta()

    - #### is_set_scheduler_meta

          public boolean is_set_scheduler_meta()

      Returns true if field scheduler_meta is set (has been assigned a value) and false otherwise

    - #### set_scheduler_meta_isSet

          public void set_scheduler_meta_isSet​(boolean value)

    - #### get_uptime_secs

          public long get_uptime_secs()

    - #### set_uptime_secs

          public void set_uptime_secs​(long uptime_secs)

    - #### unset_uptime_secs

          public void unset_uptime_secs()

    - #### is_set_uptime_secs

          public boolean is_set_uptime_secs()

      Returns true if field uptime_secs is set (has been assigned a value) and false otherwise

    - #### set_uptime_secs_isSet

          public void set_uptime_secs_isSet​(boolean value)

    - #### get_version

          public String get_version()

    - #### set_version

          public void set_version​(String version)

    - #### unset_version

          public void unset_version()

    - #### is_set_version

          public boolean is_set_version()

      Returns true if field version is set (has been assigned a value) and false otherwise

    - #### set_version_isSet

          public void set_version_isSet​(boolean value)

    - #### get_resources_map_size

          public int get_resources_map_size()

    - #### put_to_resources_map

          public void put_to_resources_map​(String key,
                                           double val)

    - #### get_resources_map

          public Map<String,​Double> get_resources_map()

    - #### set_resources_map

          public void set_resources_map​(Map<String,​Double> resources_map)

    - #### unset_resources_map

          public void unset_resources_map()

    - #### is_set_resources_map

          public boolean is_set_resources_map()

      Returns true if field resources_map is set (has been assigned a value) and false otherwise

    - #### set_resources_map_isSet

          public void set_resources_map_isSet​(boolean value)

    - #### get_server_port

          public int get_server_port()

    - #### set_server_port

          public void set_server_port​(int server_port)

    - #### unset_server_port

          public void unset_server_port()

    - #### is_set_server_port

          public boolean is_set_server_port()

      Returns true if field server_port is set (has been assigned a value) and false otherwise

    - #### set_server_port_isSet

          public void set_server_port_isSet​(boolean value)

    - #### setFieldValue

          public void setFieldValue​(SupervisorInfo._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<SupervisorInfo,​SupervisorInfo._Fields>`

    - #### getFieldValue

          public Object getFieldValue​(SupervisorInfo._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<SupervisorInfo,​SupervisorInfo._Fields>`

    - #### isSet

          public boolean isSet​(SupervisorInfo._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<SupervisorInfo,​SupervisorInfo._Fields>`

    - #### equals

          public boolean equals​(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals​(SupervisorInfo that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(SupervisorInfo other)

      Specified by:
        `compareTo` in interface `Comparable<SupervisorInfo>`

    - #### fieldForId

          public SupervisorInfo._Fields fieldForId​(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<SupervisorInfo,​SupervisorInfo._Fields>`

    - #### read

          public void read​(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write​(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`